fldefs_attrcb.h File Reference

This file contains all #defines for actual usage. More...

Go to the source code of this file.

## Macros

#define | FLEXT_CALLSET_(FUN, TP)
| Declare a attribute set function.
#define | FLEXT_CALLGET_(FUN, TP)
| Declare a attribute get function.
#define | FLEXT_CALLSET_F(SFUN)
| Declare a set function for a float attribute.
#define | FLEXT_CALLSET_I(SFUN)
| Declare a set function for an integer attribute.
#define | FLEXT_CALLSET_B(SFUN)
| Declare a set function for a boolean attribute.
#define | FLEXT_CALLSET_E(SFUN, TP)
| Declare a set function for an enum attribute.
#define | FLEXT_CALLSET_S(FUN)
| Declare a set function for a symbol attribute.
#define | FLEXT_CALLSET_V(FUN)
| Declare a set function for a variable list attribute.
#define | FLEXT_CALLGET_F(GFUN)
| Declare a get function for a float attribute.
#define | FLEXT_CALLGET_I(GFUN)
| Declare a get function for an integer attribute.
#define | FLEXT_CALLGET_B(GFUN)
| Declare a get function for a boolean attribute.
#define | FLEXT_CALLGET_E(GFUN, TP)
| Declare a get function for an enum attribute.
#define | FLEXT_CALLGET_S(FUN)
| Declare a get function for a symbol attribute.
#define | FLEXT_CALLGET_V(FUN)
| Declare a get function for a variable list attribute.
#define | FLEXT_CALLVAR_F(GFUN, SFUN)
| Declare both get and set functions for a float attribute.
#define | FLEXT_CALLVAR_I(GFUN, SFUN)
| Declare both get and set functions for an integer attribute.
#define | FLEXT_CALLVAR_S(GFUN, SFUN)
| Declare both get and set functions for a symbol attribute.
#define | FLEXT_CALLVAR_B(GFUN, SFUN)
| Declare both get and set functions for a boolean attribute.
#define | FLEXT_CALLVAR_E(GFUN, SFUN, TP)
| Declare both get and set functions for an enum attribute.
#define | FLEXT_CALLVAR_V(GFUN, SFUN)
| Declare both get and set functions for a variable list attribute.

## Detailed Description

This file contains all #defines for actual usage.

## Macro Definition Documentation

## FLEXT_CALLGET_

#define FLEXT_CALLGET_ | ( |  | FUN,
|  |  | TP )

Value:
static bool FLEXT_GET_PRE(FUN)(flext_base *c,TP &arg) \
{ FLEXT_CAST<thisType *>(c)->FUN(arg); return true; }
flext_base
Definition flclass.h:60
FLEXT_CAST
#define FLEXT_CAST
Switch for compilation of derived virtual classes.
Definition fldefs.h:27
FLEXT_GET_PRE
#define FLEXT_GET_PRE(F)
Definition flbase.h:338

Declare a attribute get function.

## FLEXT_CALLSET_

#define FLEXT_CALLSET_ | ( |  | FUN,
|  |  | TP )

Value:
static bool FLEXT_SET_PRE(FUN)(flext_base *c,TP &arg) \
{ FLEXT_CAST<thisType *>(c)->FUN(arg); return true; }
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition flbase.h:339

Declare a attribute set function.